petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCHYPRESetDiscreteCurl

Set discrete curl matrix

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetDiscreteCurl(PC pc, Mat C)

Collective on PC Many br

### Input Parameters

| pc | - the preconditioning context Many br
| C | - the discrete curl Many br

Many br

Notes: C should have as many rows as the number of faces and as many columns as the number of edges in the mesh Many brEach row of G has as many nonzeros as the number of edges of a face, with column indexes being the global indexes of the corresponding edge: matrix entries are +1 and -1 depending on edge orientation with respect to the face orientation Many br

### See Also

Level:intermediate
Location:src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages